--- old/usr/src/cmd/dis/dis_util.c	Tue Feb 27 22:58:08 2018
+++ new/usr/src/cmd/dis/dis_util.c	Tue Feb 27 22:58:08 2018
@@ -101,6 +101,11 @@
 {
 	static char *demangled_name = NULL;
 
+	/*
+	 * Since demangled_name is static, it may be preserved across
+	 * invocations.  As such, make sure any memory that might be present
+	 * from previous invocations is freed.
+	 */
 	free(demangled_name);
 	demangled_name = sysdemangle(name, SYSDEM_LANG_CPP, NULL);
 	return ((demangled_name != NULL) ? demangled_name : name);
